import subprocess
import sys


def cf_check(nc_file):
    try:
        result = subprocess.run(
            ["cfchecks", nc_file], capture_output=True, text=True, check=True
        )
        print(result.stdout)
    except subprocess.CalledProcessError as e:
        print("CF checker error:", e.stderr, file=sys.stderr)
        sys.exit(1)
